package com.fjhx.mes.entity.production.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 生产报工明细列表查询入参实体
 *
 * @author
 * @since 2023-03-30
 */
@Getter
@Setter
public class ProductionReportingDetailSelectDto extends BaseSelectDto {

    /**
     * 归属公司id
     */
    private Long companyId;

    /**
     * 工序id
     */
    private Long productionProcessesId;

    /**
     * 报工人Id
     */
    private Long userId;

    @JsonFormat(timezone = "GMT+8", pattern = "yyyy-MM-dd")
    private Date dataDate;

}
