package com.fjhx.oa.entity.user.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.oa.entity.user.po.UserSalaryDetail;
import com.fjhx.oa.entity.user.po.UserSalaryManage;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 员工薪资管理新增编辑入参实体
 *
 * @author
 * @since 2024-06-11
 */
@Getter
@Setter
public class UserSalaryManageDto extends UserSalaryManage {
    /**
     * 薪资明细
     */
    List<UserSalaryDetail> userSalaryDetailList;
    /**
     * 签名文件 类型10
     */
    private List<ObsFile> fileList;
}
