package com.fjhx.oa.mapper.salary;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.salary.po.SalaryStructure;
import com.fjhx.oa.entity.salary.vo.SalaryStructureVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 薪资结构配置 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-06-11
 */
public interface SalaryStructureMapper extends BaseMapper<SalaryStructure> {

    /**
     * 薪资结构配置分页
     */
    Page<SalaryStructureVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SalaryStructure> wrapper);

}
