package com.fjhx.oa.service.invoice.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.oa.entity.invoice.po.InvoiceTaxDeductionDetails;
import com.fjhx.oa.entity.invoice.vo.InvoiceTaxDeductionDetailsVo;
import com.fjhx.oa.mapper.invoice.InvoiceTaxDeductionDetailsMapper;
import com.fjhx.oa.service.invoice.InvoiceTaxDeductionDetailsService;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * <p>
 * 电子发票抵扣申请明细 服务实现类
 * </p>
 *
 * @author
 * @since 2024-04-11
 */
@Service
public class InvoiceTaxDeductionDetailsServiceImpl extends ServiceImpl<InvoiceTaxDeductionDetailsMapper, InvoiceTaxDeductionDetails> implements InvoiceTaxDeductionDetailsService {

    @Override
    public List<InvoiceTaxDeductionDetailsVo> getList(IWrapper wrapper) {
        return baseMapper.getList(wrapper);
    }

}
