package com.fjhx.oa.service.salary;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.salary.dto.SalaryStructureDto;
import com.fjhx.oa.entity.salary.dto.SalaryStructureSelectDto;
import com.fjhx.oa.entity.salary.po.SalaryStructure;
import com.fjhx.oa.entity.salary.vo.SalaryStructureVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 薪资结构配置 服务类
 * </p>
 *
 * @author
 * @since 2024-06-11
 */
public interface SalaryStructureService extends BaseService<SalaryStructure> {

    /**
     * 薪资结构配置分页
     */
    Page<SalaryStructureVo> getPage(SalaryStructureSelectDto dto);

    /**
     * 薪资结构配置明细
     */
    SalaryStructureVo detail(Long id);

    /**
     * 薪资结构配置新增
     */
    void add(SalaryStructureDto salaryStructureDto);

    /**
     * 薪资结构配置编辑
     */
    void edit(SalaryStructureDto salaryStructureDto);

    /**
     * 薪资结构配置删除
     */
    void delete(Long id);

}
