package com.fjhx.oa.service.user;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fjhx.oa.entity.user.dto.UserSalaryManageDto;
import com.fjhx.oa.entity.user.dto.UserSalaryManageSelectDto;
import com.fjhx.oa.entity.user.po.UserSalaryManage;
import com.fjhx.oa.entity.user.vo.UserSalaryManageVo;
import com.fjhx.oa.entity.user.vo.UserSalaryVo;

import java.util.List;


/**
 * 员工薪资管理 服务类
 */
public interface UserSalaryManageService extends IService<UserSalaryManage> {

    /**
     * 员工薪资管理分页
     */
    Page<UserSalaryManageVo> getPage(UserSalaryManageSelectDto dto);

    /**
     * 员工薪资管理明细
     */
    UserSalaryManageVo detail(Long id);

    /**
     * 员工薪资管理编辑
     */
    void edit(UserSalaryManageDto userSalaryManageDto);

    /**
     * 获取历史版本结构
     */
    List<UserSalaryVo> getHistoryVerList(Long userId);

}
