package com.fjhx.common.service.logistics;

import com.alibaba.fastjson.JSONObject;
import com.fjhx.common.entity.logistics.dto.LogisticsEndingAmountSelectDto;
import com.fjhx.common.entity.logistics.po.LogisticsEndingAmount;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 物流期末余额 服务类
 * </p>
 *
 * @author
 * @since 2024-05-06
 */
public interface LogisticsEndingAmountService extends BaseService<LogisticsEndingAmount> {

    /**
     * 快递充值汇总
     */
    List<JSONObject> logisticsRechargeSummary(LogisticsEndingAmountSelectDto dto);

    /**
     * 快递应付账款汇总
     */
    List<JSONObject> logisticsPayableSummary(LogisticsEndingAmountSelectDto dto);
}
