package com.fjhx.mes.service.production;

import com.fjhx.flow.entity.flow.dto.FlowResult;
import com.fjhx.mes.entity.production.dto.ProductionBeginConfirmDto;
import com.fjhx.mes.entity.production.po.ProductionBeginConfirm;
import com.fjhx.mes.entity.production.vo.ProductionBeginConfirmVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;


/**
 * <p>
 * 生产开工确认 服务类
 * </p>
 *
 * @author
 * @since 2024-06-19
 */
public interface ProductionBeginConfirmService extends BaseService<ProductionBeginConfirm> {

    /**
     * 生产开工确认新增
     *
     * @return
     */
    FlowResult add(ProductionBeginConfirmDto productionBeginConfirmDto);

    /**
     * 明细
     */
    ProductionBeginConfirmVo detail(Long id);

    /**
     * 历史列表
     */
    List<ProductionBeginConfirm> getHistoryList(Long orderId);
}
