package com.fjhx.oa.entity.salary.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 薪资结构配置
 * </p>
 *
 * @author
 * @since 2024-06-11
 */
@Getter
@Setter
@TableName("salary_structure")
public class SalaryStructure extends BasePo {

    /**
     * 结构名称
     */
    private String name;

    /**
     * 备注
     */
    private String remark;

    /**
     * 类型
     */
    private String type;

}
